OGRE: Ogre::ColourBlendState Struct Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::ColourBlendState Struct Reference
Core » Materials

Describes the global blending factors for combining subsequent renders with the existing frame contents. More...

`#include <OgreBlendMode.h>`

## Public Member Functions
| ColourBlendState ()
bool | blendingEnabled () const
| can we simply overwrite the existing pixels or do we have to blend

## Public Attributes
Write Mask
Whether writing is enabled for each of the 4 colour channels
bool | writeR: 1
bool | writeG: 1
bool | writeB: 1
bool | writeA: 1
Blending factors
used to weight the render colour components and the frame colour components
SceneBlendFactor | sourceFactor
SceneBlendFactor | destFactor
SceneBlendFactor | sourceFactorAlpha
SceneBlendFactor | destFactorAlpha
Blending operations
The blend operation mode for combining colour values
SceneBlendOperation | operation
SceneBlendOperation | alphaOperation

## Detailed Description

Describes the global blending factors for combining subsequent renders with the existing frame contents.

By default the operation is Ogre::SBO_ADD, which creates this equation

$$final = (passOutput * sourceFactor) + (frameBuffer * destFactor)$$

Each of the factors is specified as one of Ogre::SceneBlendFactor.

By setting a different Ogre::SceneBlendOperation you can achieve a different effect.

## Constructor & Destructor Documentation

## ◆ ColourBlendState()

Ogre::ColourBlendState::ColourBlendState | ( |  | ) |
| inline

References alphaOperation, destFactor, destFactorAlpha, operation, Ogre::SBF_ONE, Ogre::SBF_ZERO, Ogre::SBO_ADD, sourceFactor, sourceFactorAlpha, writeA, writeB, writeG, and writeR.

## Member Function Documentation

## ◆ blendingEnabled()

bool Ogre::ColourBlendState::blendingEnabled | ( |  | ) | const
| inline

can we simply overwrite the existing pixels or do we have to blend

References destFactor, destFactorAlpha, Ogre::SBF_ONE, Ogre::SBF_ZERO, sourceFactor, and sourceFactorAlpha.

## Member Data Documentation

## ◆ writeR

bool Ogre::ColourBlendState::writeR

Referenced by ColourBlendState().

## ◆ writeG

bool Ogre::ColourBlendState::writeG

Referenced by ColourBlendState().

## ◆ writeB

bool Ogre::ColourBlendState::writeB

Referenced by ColourBlendState().

## ◆ writeA

bool Ogre::ColourBlendState::writeA

Referenced by ColourBlendState().

## ◆ sourceFactor

SceneBlendFactor Ogre::ColourBlendState::sourceFactor

Referenced by ColourBlendState(), and blendingEnabled().

## ◆ destFactor

SceneBlendFactor Ogre::ColourBlendState::destFactor

Referenced by ColourBlendState(), and blendingEnabled().

## ◆ sourceFactorAlpha

SceneBlendFactor Ogre::ColourBlendState::sourceFactorAlpha

Referenced by ColourBlendState(), and blendingEnabled().

## ◆ destFactorAlpha

SceneBlendFactor Ogre::ColourBlendState::destFactorAlpha

Referenced by ColourBlendState(), and blendingEnabled().

## ◆ operation

SceneBlendOperation Ogre::ColourBlendState::operation

Referenced by ColourBlendState().

## ◆ alphaOperation

SceneBlendOperation Ogre::ColourBlendState::alphaOperation

Referenced by ColourBlendState().

The documentation for this struct was generated from the following file:

- OgreBlendMode.h